Ubuntu: Error while update process [duplicate]



Question:

Each time when I try to update Ubuntu by sudo apt-get update it fetches data from archive, but after reading package list I get this error:

  W: Duplicate sources.list entry http://dl.google.com/linux/chrome/deb/ stable/main amd64 Packages (/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-amd64_Packages)    W: Duplicate sources.list entry http://dl.google.com/linux/chrome/deb/ stable/main i386 Packages (/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-i386_Packages)    W: You may want to run apt-get update to correct these problems  

How can I solve this problem? Thank you :)


Solution:1

There are two lines in source configuration file of apt - and they saying that you're using two different architectures. Now you should:

  1. check your arch
  2. check configuration files of apt
  3. comment out unnecessary line
  4. run apt-get update again :)

Here's how:

  1. check your arch In terminal/command line:

    uname -i

    On my ubuntu i've got this result: x86_64 - so i'm using amd64 if you've got other (in common) you're using i386

  2. the configuration files for apt are in /etc/apt/ directory. This two problematique entries can be in /etc/apt/source.list or in /etc/apt/source.list.d/google-chrome.list you need to check it for yourself. Edit the right file with the command:

    gksudo gedit /etc/apt/sources.list.d/google-chrome.list or

    gksudo gedit /etc/apt/sources.list You need root privileges for it - so type your password

  3. Comment out Now with # symbol you'll comment out unecessary line

  4. Run apt-get update again

    sudo apt-get update


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »